Bug 1181827 - Import wizard don't work
Summary: Import wizard don't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python3-iep
Version: 21
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Scott K Logan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-13 20:46 UTC by nucleo
Modified: 2015-01-27 03:00 UTC (History)
2 users (show)

Fixed In Version: python3-iep-3.5-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-27 02:55:04 UTC


Attachments (Terms of Use)
Fix import exception and browser initial value (585 bytes, patch)
2015-01-14 09:28 UTC, Scott K Logan
no flags Details | Diff

Description nucleo 2015-01-13 20:46:31 UTC
Description of problem:
Import from File Browser wizard don't work.

Version-Release number of selected component (if applicable):
python3-iep-3.4-4.fc21

Steps to Reproduce:
1. Select file in file browser
2. Rightclick and select "Import data..."
3.

Actual results:
Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/iep/tools/iepFileBrowser/browser.py", line 77, in getImportWizard
    return self._importWizard
AttributeError: 'Browser' object has no attribute '_importWizard'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/iep/iepcore/menu.py", line 296, in <lambda>
    a.triggered.connect(lambda b=None: callback())
  File "/usr/lib/python3.4/site-packages/iep/tools/iepFileBrowser/tree.py", line 867, in _importData
    wizard = browser.getImportWizard()
  File "/usr/lib/python3.4/site-packages/iep/tools/iepFileBrowser/browser.py", line 80, in getImportWizard
    from .importwizard import ImportWizard
  File "/usr/lib/python3.4/site-packages/iep/tools/iepFileBrowser/importwizard.py", line 24, in <module>
    from PySide import QtGui, QtCore
ImportError: No module named 'PySide'

Additional info:
Changing PySide to PyQt4 in /usr/lib/python3.4/site-packages/iep/tools/iepFileBrowser/importwizard.py partially fixes problem but after selecting file it is not appeared in first preview screen (as in iep with PySide for windows).

Comment 1 Scott K Logan 2015-01-13 20:57:26 UTC
Thanks, I'll try to work with upstream to devise a permanent fix.

--scott

Comment 2 Scott K Logan 2015-01-14 09:28:33 UTC
Created attachment 979914 [details]
Fix import exception and browser initial value

I dug into this, and while I found problems related to this, I can't reproduce your inner exception. In browser.py, the "return self._importWizard" is in a try/except AttributeError block, so that exception isn't possible in the code in python3-iep-3.4-4.fc21. Any idea where that came from?

However, I can confirm the import exception. I'm fairly sure that import is unnecessary, and is overridden by the import a few lines later.

Please re-install python3-iep fresh and test the patch if you are willing.

Comment 3 nucleo 2015-01-14 14:53:18 UTC
After applying patch import wizard with preview works, only this message shown:

Warning, invalid style names given: Editor.Long line indicator,Editor.Highlight current line,Editor.Line numbers

(I selected for importing /var/Xorg.0.log)

But maybe this warning is not a problem.

Comment 4 Scott K Logan 2015-01-17 20:09:41 UTC
Upstream has merged a fix [1] for this. I'll apply the patches to the RPM and release the fix, as I don't think upstream is going to release anytime soon.

--scott

[1] https://bitbucket.org/iep-project/iep/pull-request/16/fix-the-import-wizard-on-pyqt4/diff

Comment 5 Fedora Update System 2015-01-17 20:59:47 UTC
python3-iep-3.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python3-iep-3.5-1.fc20

Comment 6 Fedora Update System 2015-01-17 20:59:53 UTC
python3-iep-3.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python3-iep-3.5-1.fc21

Comment 7 Fedora Update System 2015-01-19 01:35:38 UTC
Package python3-iep-3.5-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python3-iep-3.5-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0884/python3-iep-3.5-1.fc20
then log in and leave karma (feedback).

Comment 8 lnie 2015-01-19 05:46:20 UTC
python3-iep-3.5-1.fc21 works

Comment 9 Fedora Update System 2015-01-27 02:55:04 UTC
python3-iep-3.5-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-01-27 03:00:31 UTC
python3-iep-3.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.